--- title: "Gets a paginated list of discovered devices" slug: "gets-a-paginated-list-of-discovered-devices" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/gets-a-paginated-list-of-discovered-devices" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Gets a paginated list of discovered devices Get/api/v2/devices/discovery SecurityHTTPType bearer Query parametershostnamestring sitenamestring ipAddressstring macAddressstring portfolioIdstring siteIdstring networkNamestring networkIdstring newboolean To filter newly discovered devices with is not already added sizeinteger The number of records to return per page Default25 pageinteger The page number. The page number start from 1 Default1 sortarray of string Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['hostname', 'sitename', 'networkName', 'ipAddress', 'macAddress' 'whenCreated'] DefaultwhenCreated:DESCExample[ "whenCreated:DESC" ] Responses200 A list of all discovered devices Expand Allobject authorizationboolean dataobject pageinteger results Array of object (DeviceDiscovery) object deviceobject hostnamestring idinteger namestring hostnamestring id_addressstring is_newboolean locationobject citystring countrystring statestring streetstring zipcodestring mac_addressstring networkobject idstring namestring portfolioobject idstring namestring ports Array of object object appliction_protocolstring port_idinteger protocolstring statestring siteobject idstring namestring whenCreatedstring sizeinteger totalCountinteger totalPageinteger error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 500 Could not get discovered devices - Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean